Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb.impl
Class ATypeImpl

    java.lang.Object
      org.infoml.jaxb.impl.ATypeImpl

All Implemented Interfaces:
  AType

Direct Known Subclasses:
  CodeTypeImpl.AImpl, EmTypeImpl.AImpl, PTypeImpl.AImpl, SimpleRichTextTypeImpl.AImpl, StrongTypeImpl.AImpl

    public class ATypeImpl

extends java.lang.Object
implements AType

Nested Class Summary
`static class` | `ATypeImpl.CodeImpl`
`static class` | `ATypeImpl.EmImpl`
`static class` | `ATypeImpl.PreImpl`
`static class` | `ATypeImpl.StrongImpl`
`class` | `ATypeImpl.Unmarshaller`

Nested classes/interfaces inherited from interface org.infoml.jaxb.AType
`AType.Code, AType.Em, AType.Pre, AType.Strong`

Field Summary
`protected com.sun.xml.bind.util.ListImpl` | `_Content`
`protected java.lang.String` | `_Href`
`static java.lang.Class` | `version`

Constructor Summary
`ATypeImpl()`

Method Summary
`protected com.sun.xml.bind.util.ListImpl` | `_getContent()`
`com.sun.msv.verifier.DocumentDeclaration` | `createRawValidator()`
`org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler` | `createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)`
`java.util.List` | `getContent()` Gets the value of the Content property.
`java.lang.String` | `getHref()` Gets the value of the href property.
`java.lang.Class` | `getPrimaryInterface()`
`void` | `serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)`
`void` | `setHref(java.lang.String value)` Sets the value of the href property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _Href

    protected java.lang.String _Href

### _Content

    protected com.sun.xml.bind.util.ListImpl _Content

### version

    public static final java.lang.Class version

Constructor Detail

### ATypeImpl

    public ATypeImpl()

Method Detail

### getHref

    public java.lang.String getHref()

  Description copied from interface: `AType`
  Gets the value of the href property.

  Specified by:
    `getHref` in interface `AType`
  Returns:
    possible object is `String`

### setHref

    public void setHref(java.lang.String value)

  Description copied from interface: `AType`
  Sets the value of the href property.

  Specified by:
    `setHref` in interface `AType`
  Parameters:
    `value` - allowed object is `String`

### _getContent

    protected com.sun.xml.bind.util.ListImpl _getContent()

### getContent

    public java.util.List getContent()

  Description copied from interface: `AType`
  Gets the value of the Content property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Content property.

  For example, to add a new item, do as follows:

          getContent().add(newItem);

  Objects of the following type(s) are allowed in the list `AType.Strong` `AType.Em` `AType.Pre` `String` `AType.Code`

  Specified by:
    `getContent` in interface `AType`

### createUnmarshaller

    public org.infoml.jaxb.impl.runtime.UnmarshallingEventHandler createUnmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)

### serializeBody

    public void serializeBody(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeAttributes

    public void serializeAttributes(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                             throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### serializeURIs

    public void serializeURIs(org.infoml.jaxb.impl.runtime.XMLSerializer context)
                       throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### getPrimaryInterface

    public java.lang.Class getPrimaryInterface()

### createRawValidator

    public com.sun.msv.verifier.DocumentDeclaration createRawValidator()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD